Bug 110629 - Allow Apache rotatelogs to use localtime instead of GMT when naming files
Allow Apache rotatelogs to use localtime instead of GMT when naming files
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Depends On:
  Show dependency treegraph
Reported: 2003-11-21 16:21 EST by Chris Adams
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-28 11:03:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
rotatelogs.c (and associated documentation) patch (4.75 KB, patch)
2003-11-21 16:21 EST, Chris Adams
no flags Details | Diff
Working rotatelogs.c patch (5.10 KB, patch)
2003-11-26 14:20 EST, Chris Adams
no flags Details | Diff

  None (edit)
Description Chris Adams 2003-11-21 16:21:01 EST
Apache's rotatelogs program uses GMT when formatting the string to
name the log files.  A static offset is an option, but that is useless
for those of us that have daylight savings time.  Here's a patch that
will optionally use localtime when formatting the string.  I've also
submitted it to Apache (Apache bugzilla #24417).
Comment 1 Chris Adams 2003-11-21 16:21:38 EST
Created attachment 96131 [details]
rotatelogs.c (and associated documentation) patch
Comment 2 Chris Adams 2003-11-26 14:20:23 EST
Created attachment 96216 [details]
Working rotatelogs.c patch

Duh, uploaded the wrong file; there's a rather stoopid mistake in there (that
renders the patch useless - use_local is always set to 0).  Here's the correct
patch, with a little more documentation update.
Comment 3 Matthew Miller 2006-07-11 13:35:26 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.


NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 4 John Thacker 2006-10-28 11:03:57 EDT
Closing per lack of response to the previous comment.  Note that FC1 and FC2 are
no longer supported even by Fedora Legacy.  If this bug still occurs on FC3 or
FC4, please assign to that version and Fedora Legacy.  If it still occurs on FC5
or FC6, please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.